 task merge_family {
	File LCL5_vcf_gz
	File LCL5_vcf_idx
	File LCL6_vcf_gz
	File LCL6_vcf_idx
	File LCL7_vcf_gz
	File LCL7_vcf_idx
	File LCL8_vcf_gz
	File LCL8_vcf_idx
	File bed
	String project
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfmerge --force-merge-all -o ${project}.family.vcf.gz ${LCL5_vcf_gz} ${LCL6_vcf_gz} ${LCL7_vcf_gz} ${LCL8_vcf_gz}

		gunzip ${project}.family.vcf.gz


		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcffilter -i ${LCL5_vcf_gz} --include-bed=${bed} -o LCL5.inside.vcf.gz
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcffilter -i ${LCL6_vcf_gz} --include-bed=${bed} -o LCL6.inside.vcf.gz
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcffilter -i ${LCL7_vcf_gz} --include-bed=${bed} -o LCL7.inside.vcf.gz
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcffilter -i ${LCL8_vcf_gz} --include-bed=${bed} -o LCL8.inside.vcf.gz

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfmerge --force-merge-all -o ${project}.family.inside.vcf.gz LCL5.inside.vcf.gz LCL6.inside.vcf.gz LCL7.inside.vcf.gz LCL8.inside.vcf.gz

		gunzip ${project}.family.inside.vcf.gz

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcffilter -i ${LCL5_vcf_gz} --exclude-bed=${bed} -o LCL5.outside.vcf.gz
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcffilter -i ${LCL6_vcf_gz} --exclude-bed=${bed} -o LCL6.outside.vcf.gz
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcffilter -i ${LCL7_vcf_gz} --exclude-bed=${bed} -o LCL7.outside.vcf.gz
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcffilter -i ${LCL8_vcf_gz} --exclude-bed=${bed} -o LCL8.outside.vcf.gz

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfmerge --force-merge-all -o ${project}.family.outside.vcf.gz LCL5.outside.vcf.gz LCL6.outside.vcf.gz LCL7.outside.vcf.gz LCL8.outside.vcf.gz

		gunzip ${project}.family.outside.vcf.gz



	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File merged_vcf = "${project}.family.vcf"
		File outside_vcf = "${project}.family.outside.vcf"
		File inside_vcf = "${project}.family.inside.vcf"
	}
}


